Subject: RE: [mobile-ip] RFC3012 interpretation yet again

From: "Ahmad Muhanna" <[email-masked]>
Date: Wed, 24 Oct 2001 09:27:56 -0500

I believe this is a valid issue.

I think a change to section 3.2 page 5 may resolve the issue by removing the
word successful and it may read as follows:

	The Foreign Agent MUST NOT accept any Challenge in the Registration
   	Request unless it was offered in the last Registration Reply
   	issued to the Mobile Node, or else advertised as one of the last
........

Ahmad Muhanna

-----Original Message-----
From: Luca Salgarelli [mailto:[email-masked]]
Sent: Wednesday, October 24, 2001 8:28 AM
To: [email-masked]
Subject: Re: [mobile-ip] RFC3012 interpretation yet again

Basavaraj, Pat, Charlie,

actually I do have a request for clarification on another point of RFC3012.

In secion 3.1, page 4 the RFC says:

   A successful Registration Reply from the Foreign Agent MAY include a
   new Challenge value (see section 3.3).  The Mobile Node MAY use
   either the value found in the latest Advertisement, or the one found
   in the last Registration Reply from the Foreign Agent.  This approach
   enables the Mobile Node to make use of the challenge without having
   to wait for advertisements.

   A Mobile Node might receive an UNKNOWN_CHALLENGE error (see section
   9) if it moves to a new Foreign Agent that cannot validate the
   challenge provided in the Registration Request.  In such instances,
   the Mobile Node MUST use a new Challenge value in any new
   registration, obtained either from an Agent Advertisement, or from a
   Challenge extension to the Registration Reply containing the error.

So it states that the MN MUST use a Challenge from an unsuccessful Reply.

However, in section 3.2, page 5, it also says:

   The Foreign Agent MUST NOT accept any Challenge in the Registration
   Request unless it was offered in last successful Registration Reply
   issued to the Mobile Node, or else advertised as one of the last

Which seems to go against what stated above.

In general, I think that there is the need to clarify if the FA should or
should not include a Challenge in an unsuccessful Registration Reply. If
the FA should include it, than it should be clarified whether the MN is or
is not allowed to use a Challenge obtained from an unsuccessful Reg. Reply.

Thanks
Luca

On Tue, Oct 23, 2001 at 10:08:40PM -0500, Basavaraj Patil wrote:
> We will go ahead with the revisions to the current RFC3012 to clarify
> the issue (no ambiguities and scope for misinterpretation) about computing
> the authenticator based on the challenge. 
> 
> If you believe there are other issues as well (based on implementation
> experience) with this RFC, now would be the time to raise them.
> 
> We hope to have this done fairly quickly.
> 
> Regards,
> -Basavaraj 
> 
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of Lipford, Mark
> > Sent: Tuesday, October 23, 2001 8:52 PM
> > To: [email-masked]'
> > Subject: RE: [mobile-ip] RFC3012 interpretation yet again
> > 
> > 
> > As someone that has to implement this we strongly support this
> > recommendation
> > 
> > 		-----Original Message-----
> > 		From:	[email-masked] 
> > [mailto:[email-masked]]
> > 		Sent:	Tuesday, October 23, 2001 6:15 PM
> > 		To:	[email-masked]
> > 		Subject:	[mobile-ip] RFC3012 
> > interpretation yet again
> > 
> > 		I'd like to encourage the working group and/or
> > 		draft authors to come to some sort of official decision
> > 		about the proper interpretation of section 8 of 
> > this RFC,
> > 		and make this decision public.
> > 
> > 		Basically, this would involve an announcement 
> > on this list
> > 		and a publication of an errata on the RFC editor pages.
> > 
> > 		The sooner such an errata is made public and official
> > 		the better.  Otherwise there is a chance that both
> > 		interpretations may be deployed.
> > 
> > 		Thanks in advance,
> > 		Mike
> >

---

From: [email-masked]
Date: Wed, 24 Oct 2001 10:33:05 -0500

Well, since you asked...  This is not a purely technical issue, but
I think it would help a lot if RFC3012bis included a ladder diagram
of a canonical call flow.  Right now each element's processing
is discussed in isolation and I believe that an appendix showing the
order in which events typically occur would help.

Mike

"Basavaraj Patil" <[email-masked]> on 10/23/2001 10:08:40 PM

Please respond to [email-masked]

Sent by:  "Basavaraj Patil" <[email-masked]>

To:   [email-masked]
cc:   [email-masked], [email-masked] (Mike
      Borella/MW/US/3Com)
Subject:  RE: [mobile-ip] RFC3012 interpretation yet again

Regards,
-Basavaraj